Kirjoittaja Aihe: Playonlinux läväyttää aina errorin asennuksen yhteydessä  (Luettu 1765 kertaa)

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
Kokeilen asentaa Ubuntu 20.04:ään tunnetusti Windowsille alun perin tehtyä Microsoftin strategiapeliä Age of Empires III. Nyt vaan on käynyt niin, että kun koitan Playonlinuxin kautta asentaa sen, niin tulee "Error in POL_Wine. Wine seems to have crashed." -virhesanoma (ks. kuvaliite). Tarkoitukseni oli suunnistaa AoEIII:n levyllä olevaan exe-tiedostoon, mutta error tulee jo ennen kuin pääsin siihen vaiheeseen.

Kokemuksia Playonlinuxista? Toimiiko se muilla, vai onko tuttu error?

nm

  • Käyttäjä
  • Viestejä: 14645
    • Profiili
Ei ole kokemusta PlayOnLinuxista, mutta mitä Wine sanoo jos yrität ajaa suoraan sillä?

Sinänsä Age of Empires III:n pitäisi kyllä toimia mainiosti, kunhan asennat tarvittavat riippuvuudet winetricksillä ja asetat winecfg:llä Windowsin versioksi XP:n. Tarkemmat ohjeet appdb:ssä:

https://appdb.winehq.org/objectManager.php?sClass=version&iId=3795
Lainaus
Workarounds

I made this work with digital backups of the three install CDs I had. If you own the CDs, simply copy the contents of each into the same folder. This should eliminate the need for disk switching.

Use winetricks get the necessary libraries (warning - this used over a gig and a half of internet):
Koodia: [Valitse]
winetricks corefonts d3dx9 quartz mfc42 l3codecx msxml4 vcrun6 riched20
After they're installed, run winecfg and under the "drives" tab set drive D: to the folder containing the the data from the CDs. Now:
Koodia: [Valitse]
wine D:/setup
should install it with no hiccups. In order to run the game, I had to use winecfg to set the Windows version to XP. To run it without a CD, update it by running the patch you can find here.

Hajakenttä

  • Käyttäjä / moderaattori
  • Viestejä: 1475
    • Profiili
Lainaus
Kokemuksia Playonlinuxista? Toimiiko se muilla, vai onko tuttu error?

Olen käyttänyt pitkään PlayOnLinux apuohjelmaa, en kylläkään peleihin, mutta moottorinohjauksen manipulointiohjelmaa TunerPro olen käyttänyt, viimeksi eilen. Hyvin on toiminut Winen kanssa. Ei ole koskaan tullut tuollaista erroria. PlayOnLinux oli hyvänä apuna TunerProta asentaessa Winen kanssa, osasi tehdä käynnistyskuvakkeenkin.



DELL Latitude E6220 Xubuntu 20.04, DELL Latitude 5480 Xubuntu 20.04.
– Memento Vivere – Terv: Timo

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
Ei ole kokemusta PlayOnLinuxista, mutta mitä Wine sanoo jos yrität ajaa suoraan sillä?

Sinänsä Age of Empires III:n pitäisi kyllä toimia mainiosti, kunhan asennat tarvittavat riippuvuudet winetricksillä ja asetat winecfg:llä Windowsin versioksi XP:n. Tarkemmat ohjeet appdb:ssä:

https://appdb.winehq.org/objectManager.php?sClass=version&iId=3795
Lainaus
Workarounds

I made this work with digital backups of the three install CDs I had. If you own the CDs, simply copy the contents of each into the same folder. This should eliminate the need for disk switching.

Use winetricks get the necessary libraries (warning - this used over a gig and a half of internet):
Koodia: [Valitse]
winetricks corefonts d3dx9 quartz mfc42 l3codecx msxml4 vcrun6 riched20
After they're installed, run winecfg and under the "drives" tab set drive D: to the folder containing the the data from the CDs. Now:
Koodia: [Valitse]
wine D:/setup
should install it with no hiccups. In order to run the game, I had to use winecfg to set the Windows version to XP. To run it without a CD, update it by running the patch you can find here.

Kirjoitettuani tuon yllä olevan ekan rimpsun, asensi pitkään Windows 6.1, ja saikin sen käsittääkseni asennettua. Tokaa riviä kokeiltuani (wine D:/setup) herjaa kuitenkin seuraavaa:

Koodia: [Valitse]
Clauri@lauri-Lenovo-Yoga-C740-14IML:~$ wine D:/setup
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
wine: cannot find 'D:/setup'
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ sudo apt-get install wine32
[sudo] password for lauri:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine32:i386 : Depends: libc6:i386 (>= 2.28) but it is not going to be installed
               Depends: libwine:i386 (= 5.0-3ubuntu1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
lauri@lauri-Lenovo-Yoga-C740-14IML:~$

Taisi tulla umpikuja vastaan? Kai nää pelit on  suosiolla jätettävä Windowsille  ::)
« Viimeksi muokattu: 28.09.21 - klo:13.40 kirjoittanut Louderi »

nm

  • Käyttäjä
  • Viestejä: 14645
    • Profiili
Clauri@lauri-Lenovo-Yoga-C740-14IML:~$ wine D:/setup
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
wine: cannot find 'D:/setup'

Nähtävästi wine ei löydä setup.exeä D-asemasta. Määrititkö Age Of Empiresin hakemiston D-asemaksi winecfg:ssä, kuten ohjeessa neuvottiin?


lauri@lauri-Lenovo-Yoga-C740-14IML:~$ sudo apt-get install wine32
[sudo] password for lauri:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine32:i386 : Depends: libc6:i386 (>= 2.28) but it is not going to be installed
               Depends: libwine:i386 (= 5.0-3ubuntu1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ [/code]

Taisi tulla umpikuja vastaan? Kai nää pelit on  suosiolla jätettävä Windowsille  ::)

Ota käyttöön 32-bittinen arkkitehtuuri:

Koodia: [Valitse]
sudo dpkg --add-architecture i386
sudo apt update
sudo apt install wine32

Luultavasti PlayOnLinuxin ongelma johtui juuri wine32:n puuttumisesta. Asennusohjeessakin se mainitaan erikseen:

https://wiki.playonlinux.com/index.php/Installing_PlayOnLinux
Lainaus
Support for 32-bit architecture
Starting with Debian wheezy and Ubuntu Precise, users will need to install the 32-bit version of Wine if they want to install 32-bit programs with Playonlinux.

For Ubuntu, you need to add 32-bit support manually and the package "wine32" in order to install 32-bit programs. The package "wine32-preloader", may be added, as suggested.

32-bit support for Ubuntu 20.04

The easiest way is to run the following command in a terminal:

Koodia: [Valitse]
sudo dpkg --add-architecture i386 && sudo apt-get update && sudo apt-get install wine32 wine32-preloader
« Viimeksi muokattu: 28.09.21 - klo:14.18 kirjoittanut nm »

startx

  • Käyttäjä
  • Viestejä: 317
    • Profiili
Taisi ainakin joskus joku bugi olla, että kaikki pelit ei CD:ltä asennu, mutta kovalevylle kopioituna toimii.


Tuosta pelistähän on parannettu versiokin Steamissä, joka varmaan toimii.

https://store.steampowered.com/app/933110/Age_of_Empires_III_Definitive_Edition/

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
Taitaa olla ydinongelmana tosiaan se, ettei ole winea. Mutten saa winea asennettua, koska jokin yhteensopivuusongelma. Pitäisi jotenkin träkätä yhteensopimattomuudet menemällä vaihe vaiheelta takaisinpäin.

Keksin heittää seuraavan virheilmoituksen googleen:
Koodia: [Valitse]
The following packages have unmet dependencies:  wine32:i386 : Depends: libc6:i386 (>= 2.28) but it is not going to be installed                Depends: libwine:i386 (= 5.0-3ubuntu1) but it is not going to be installed E: Unable to correct problems, you have held broken packages.

Ensin seurasin tätä ohjetta: https://askubuntu.com/questions/1204823/wine32i386-depends-libwinei386-3-0-1ubuntu1-but-it-is-not-going-to-be-i

Sitten tätä: https://wiki.winehq.org/Ubuntu

Em. ohjeiden lopun komennolla sain tällaisen errorin asentaessani winen stable-versiota (sama error niistä kahdesta muustakin asennuskomennosta):
Koodia: [Valitse]
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ sudo apt install --install-recommends winehq-stable
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 winehq-stable : Depends: wine-stable (= 6.0.1~focal-1)
E: Unable to correct problems, you have held broken packages.
lauri@lauri-Lenovo-Yoga-C740-14IML:~$

Em. jälkimmäisen ohjeen lopussa antoivat tällaisen linkin noiden dependency-errorien varalle: https://wiki.winehq.org/FAQ#How_do_I_solve_dependency_errors_when_trying_to_install_Wine.3F

En kuitenkaan ymmärrä linkin takana 2.4 osion kappaletta, että mitä tuossa käytännössä pitäisi tehdä. Pitäisi joku PPA-kirjaston versio saada mätsäämään oletuskirjaston version kanssa, tjsp? Ehkä joku osaa vääntää asian selkosuomeksi  :o

nm

  • Käyttäjä
  • Viestejä: 14645
    • Profiili
Taitaa olla ydinongelmana tosiaan se, ettei ole winea. Mutten saa winea asennettua, koska jokin yhteensopivuusongelma. Pitäisi jotenkin träkätä yhteensopimattomuudet menemällä vaihe vaiheelta takaisinpäin.

Keksin heittää seuraavan virheilmoituksen googleen:
Koodia: [Valitse]
The following packages have unmet dependencies:  wine32:i386 : Depends: libc6:i386 (>= 2.28) but it is not going to be installed                Depends: libwine:i386 (= 5.0-3ubuntu1) but it is not going to be installed E: Unable to correct problems, you have held broken packages.


Et tainnut huomata edellistä viestiäni?

Lisää 32-bittinen arkkitehtuuri paketointijärjestelmään, niin se löytää nuo puuttuvat riippuvuudet. Eli kuten jo yllä neuvoin, aja komento:

Koodia: [Valitse]
sudo dpkg --add-architecture i386
Päivitä sitten pakettilistat:

Koodia: [Valitse]
sudo apt update
Ja asenna wine32:

Koodia: [Valitse]
sudo apt install wine32

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
Kokeilin juuri noita komentoja aiemmin, sekä vielä äsken uudestaan. Niistä tulee toi sama yllä mainitsemani errori riippuvuuksista/dependences. Tässä vielä tarkempi loki antamistasi komennoista (kiitos niistä!) :

Koodia: [Valitse]
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ sudo dpkg --add-architecture i386
[sudo] password for lauri:
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ sudo apt update
Hit:1 http://fi.archive.ubuntu.com/ubuntu focal InRelease
Hit:2 http://dl.google.com/linux/chrome/deb stable InRelease                           
Get:3 http://fi.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]             
Hit:4 http://ppa.launchpad.net/apandada1/brightness-controller/ubuntu focal InRelease   
Get:5 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]               
Hit:6 https://packages.microsoft.com/repos/ms-teams stable InRelease                   
Hit:7 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu focal InRelease                   
Hit:8 http://repo.mysql.com/apt/ubuntu focal InRelease                                 
Get:9 http://fi.archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]           
Hit:10 https://download.docker.com/linux/ubuntu focal InRelease                         
Hit:11 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu focal InRelease             
Get:12 http://fi.archive.ubuntu.com/ubuntu focal-updates/main i386 Packages [544 kB]
Get:13 http://fi.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages [1 255 kB]
Hit:14 http://packages.microsoft.com/repos/code stable InRelease                       
Get:15 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [29,0 kB]
Hit:16 https://dl.winehq.org/wine-builds/ubuntu focal InRelease                         
Get:17 http://security.ubuntu.com/ubuntu focal-security/main amd64 c-n-f Metadata [8 824 B]
Get:18 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [62,5 kB]
Get:19 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 DEP-11 Metadata [2 468 B]
Get:20 http://fi.archive.ubuntu.com/ubuntu focal-updates/main Translation-en [265 kB]   
Get:21 http://fi.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [283 kB]
Get:22 http://fi.archive.ubuntu.com/ubuntu focal-updates/main DEP-11 48x48 Icons [60,8 kB]
Get:23 http://fi.archive.ubuntu.com/ubuntu focal-updates/main DEP-11 64x64 Icons [98,3 kB]
Get:24 http://fi.archive.ubuntu.com/ubuntu focal-updates/main amd64 c-n-f Metadata [14,4 kB]
Get:25 http://fi.archive.ubuntu.com/ubuntu focal-updates/universe i386 Packages [635 kB]
Get:26 http://fi.archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages [857 kB]
Get:27 http://fi.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [356 kB]
Get:28 http://fi.archive.ubuntu.com/ubuntu focal-updates/universe DEP-11 48x48 Icons [219 kB]
Get:29 http://fi.archive.ubuntu.com/ubuntu focal-updates/universe DEP-11 64x64 Icons [392 kB]
Get:30 http://fi.archive.ubuntu.com/ubuntu focal-updates/universe amd64 c-n-f Metadata [18,9 kB]
Get:31 http://fi.archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [944 B]
Get:32 http://fi.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [10,4 kB]
Fetched 5 440 kB in 4s (1 435 kB/s)                                             
AppStream system cache refresh failed. Turn on verbose mode to get detailed issue information.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
41 packages can be upgraded. Run 'apt list --upgradable' to see them.
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ sudo apt install wine32
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine32:i386 : Depends: libc6:i386 (>= 2.28) but it is not going to be installed
               Depends: libwine:i386 (= 5.0-3ubuntu1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
lauri@lauri-Lenovo-Yoga-C740-14IML:~$

Omaan silmääni pisti sudo apt update -komennon jälkeinen AppStream system cache refresh failed. Turn on verbose mode to get detailed issue information. Kukaties tolla on jotain tekemistä sen kanssa, ettei wine asennu vaan herjaa riippuvuussuhteista.

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 664
    • Profiili
Ubuntu Focal 20.04 versiolle on asennettavissa playonlinux-paketti
"front-end for Wine".
Ilman turhia virittelyjä:
https://packages.ubuntu.com/focal/playonlinux

Löytyy siis jakelun virallisista lähteistä.


nm

  • Käyttäjä
  • Viestejä: 14645
    • Profiili
Okei, sitten on jotain muuta ongelmaa paketeissa. Miltä näyttää libc6:i386 -paketin saatavuus:

Koodia: [Valitse]
apt-cache policy libc6:i386
Pitaisi listata tallaista:
Koodia: [Valitse]
libc6:i386:
  Installed: (none)
  Candidate: 2.31-0ubuntu9.2
  Version table:
     2.31-0ubuntu9.2 500
        500 http://archive.ubuntu.com/ubuntu focal-updates/main i386 Packages
     2.31-0ubuntu9 500
        500 http://archive.ubuntu.com/ubuntu focal/main i386 Packages

Entä asennusyritys:

Koodia: [Valitse]
sudo apt install libc6:i386

Omaan silmääni pisti sudo apt update -komennon jälkeinen AppStream system cache refresh failed. Turn on verbose mode to get detailed issue information. Kukaties tolla on jotain tekemistä sen kanssa, ettei wine asennu vaan herjaa riippuvuussuhteista.

AppStream hoitaa graafisen pakettienhallinnan (Ubuntun sovellusvalikoima / GNOME Software) tietokannan päivittämistä. En usko, että nämä ongelmat liittyvät toisiinsa.
« Viimeksi muokattu: 29.09.21 - klo:00.55 kirjoittanut nm »

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
Miltä näyttää libc6:i386 -paketin saatavuus:
Näyttää juuri tuolta miltä pitääkin.

Entä asennusyritys:
Koodia: [Valitse]
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ sudo apt install libc6:i386
[sudo] password for lauri:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  alsa-topology-conf alsa-ucm-conf amd64-microcode apport-symptoms
  aptdaemon-data binutils-common cgroupfs-mount colord-data cups-common
...
  transmission-common usb-modeswitch-data usb.ids wireless-regdb x11-common
  xbitmaps xfonts-encodings xorg-docs-core yelp-xsl zenity-common
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libcrypt1:i386 libgcc-s1:i386 libidn2-0:i386 libunistring2:i386
Suggested packages:
  glibc-doc:i386 debconf:i386 | debconf-2.0:i386 locales:i386
The following packages will be REMOVED:
  accountsservice acl acpi-support acpid adduser adwaita-icon-theme aisleriot
  alsa-base alsa-utils anacron apg apparmor apport apport-gtk appstream apt
  ...
  xserver-xorg-video-intel xserver-xorg-video-nouveau xserver-xorg-video-qxl
  xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware
  xul-ext-ubufox xwayland xxd xz-utils yaru-theme-gtk yelp zenity zip zlib1g
  zlib1g-dev zoom
The following NEW packages will be installed:
  libc6:i386 libcrypt1:i386 libgcc-s1:i386 libidn2-0:i386 libunistring2:i386
WARNING: The following essential packages will be removed.
This should NOT be done unless you know exactly what you are doing!
  apt adduser (due to apt) gpgv (due to apt) libapt-pkg6.0 (due to apt)
  libc6 (due to apt) libgcc-s1 (due to apt) libgnutls30 (due to apt)
  ...
  mokutil (due to shim-signed) sbsigntool (due to shim-signed) sysvinit-utils
  libcap-ng0 (due to util-linux) libudev1 (due to util-linux)
0 upgraded, 5 newly installed, 1980 to remove and 5 not upgraded.
Need to get 3 141 kB of archives.
After this operation, 6 318 MB disk space will be freed.
You are about to do something potentially harmful.
To continue type in the phrase 'Yes, do as I say!'
En oikein uskaltanut jatkaa tuosta. Mitä hurjaa ton jälkeen pitäisi tapahtua?

AppStream hoitaa graafisen pakettienhallinnan (Ubuntun sovellusvalikoima / GNOME Software) tietokannan päivittämistä. En usko, että nämä ongelmat liittyvät toisiinsa.
Ubuntu Software-valikon avauksessa onkin ollut haastetta. Tuplaklikatessani Software-salkkua työpöydällä muuttuu kursori kyllä lataamisen merkiksi, mutta lataus vaan yksinkertaisesti loppuu joskus kymmenien sekuntien kuluttua ilman, että mitään enää tapahtuu sen jälkeen. Tähän keksin eräästä lähteestä (https://askubuntu.com/questions/1231932/ubuntu-software-doesnt-open-in-ubuntu-20-04) asentaa jonkun Gnome paketin ja sitten kirjoittaa terminaaliin "gnome-software". Tällä tavalla saan nykyään käyntiin Software-valikon. Mutta hyvä jossei liity tähän ongelmaan.
« Viimeksi muokattu: 29.09.21 - klo:10.56 kirjoittanut Louderi »

nm

  • Käyttäjä
  • Viestejä: 14645
    • Profiili
Oho, hyvä että et jatkanut, koska tuo olisi poistanut järjestelmästä lähes kaikki paketit ja rikkonut sen korjauskelvottomaksi.

Onkohan nyt niin, että olet onnistunut kytkemään main-repositorion pois käytöstä pakettienhallinnan asetuksissa? Miltä /etc/apt/sources.list -tiedoston sisältö näyttää:

Koodia: [Valitse]
cat /etc/apt/sources.list
Avaa myös Software & Updates (Ohjelmistot ja päivitykset) ja tarkista, että siellä on valittuna "Canonical-supported free and open-source software (main)". Asetusten pitäisi näyttää samalta kuin liitteenä olevassa kuvakaappauksessa. Lisäksi Updates-välilehdellä kohdassa "For other packages, subscribe to:" pitäisi olla valittuna Security and recommended updates tai All updates.
« Viimeksi muokattu: 29.09.21 - klo:13.35 kirjoittanut nm »

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
Onkohan nyt niin, että olet onnistunut kytkemään main-repositorion pois käytöstä pakettienhallinnan asetuksissa? Miltä /etc/apt/sources.list -tiedoston sisältö näyttää:
Koodia: [Valitse]
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ cat /etc/apt/sources.list
# deb cdrom:[Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1)]/ focal main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fi.archive.ubuntu.com/ubuntu/ focal main restricted
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fi.archive.ubuntu.com/ubuntu/ focal-updates main restricted
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fi.archive.ubuntu.com/ubuntu/ focal universe
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal universe
deb http://fi.archive.ubuntu.com/ubuntu/ focal-updates universe
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fi.archive.ubuntu.com/ubuntu/ focal multiverse
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal multiverse
deb http://fi.archive.ubuntu.com/ubuntu/ focal-updates multiverse
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fi.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu focal partner
# deb-src http://archive.canonical.com/ubuntu focal partner

deb http://security.ubuntu.com/ubuntu focal-security main restricted
# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
deb http://security.ubuntu.com/ubuntu focal-security universe
# deb-src http://security.ubuntu.com/ubuntu focal-security universe
deb http://security.ubuntu.com/ubuntu focal-security multiverse
# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
deb https://dl.winehq.org/wine-builds/ubuntu/ focal main
# deb-src https://dl.winehq.org/wine-builds/ubuntu/ focal main
Avaa myös Software & Updates (Ohjelmistot ja päivitykset) ja tarkista, että siellä on valittuna "Canonical-supported free and open-source software (main)". Asetusten pitäisi näyttää samalta kuin liitteenä olevassa kuvakaappauksessa. Lisäksi Updates-välilehdellä kohdassa "For other packages, subscribe to:" pitäisi olla valittuna Security and recommended updates tai All updates.
Ubuntu Software -välilehdessä kaikki kuten kuvassa, ainoastaan Download from: -kohdassa lukee "Server from Finland". Updates -välilehdessä on valittuna All Updates, muuten kuten kuvassa.

nm

  • Käyttäjä
  • Viestejä: 14645
    • Profiili
OK, sources.list näyttää olevan kunnossa.

Sitten voisi vielä kokeilla vaihtaa lähteeksi Ubuntun pääpalvelimen, eli vaihda asetuksissa Download from -kohtaan vaihtoehto "Main server".

En tosin itse onnistu toistamaan ongelmaa puhtaassa Ubuntu 20.04:ssä, vaikka käytössä olisi Suomen peilipalvelin. Ongelma voi siis johtua jostain muusta järjestelmässäsi olevasta ohjelmalähteestä tai jostain asennetusta paketista. Aika hankala tapaus.

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
OK, sources.list näyttää olevan kunnossa.

Sitten voisi vielä kokeilla vaihtaa lähteeksi Ubuntun pääpalvelimen, eli vaihda asetuksissa Download from -kohtaan vaihtoehto "Main server".
Vaihdoin Main serveriksi. Kokeilin uudestaan
Koodia: [Valitse]
sudo apt install libc6:i386, mutta sama lopputulos mistä ei kannata jatkaa. Pitikö tuon pääpalvelimen vaihdoksen vaikuttaa tuon koodin outputtiin jotenkin?

En tosin itse onnistu toistamaan ongelmaa puhtaassa Ubuntu 20.04:ssä, vaikka käytössä olisi Suomen peilipalvelin. Ongelma voi siis johtua jostain muusta järjestelmässäsi olevasta ohjelmalähteestä tai jostain asennetusta paketista. Aika hankala tapaus.
Taitaa kuulostaa jo siltä, että Ubuntun uudelleenasennus tulisi seuraavaksi kyseeseen. Tai sitten vaan lataan Playonlinuxin noilta ylemmässä viestissä ehdotetuilta Ubuntun omilta sivuilta, ja toivon etten törmää ongelmaan enää ???

nm

  • Käyttäjä
  • Viestejä: 14645
    • Profiili
Vaihdoin Main serveriksi. Kokeilin uudestaan
Koodia: [Valitse]
sudo apt install libc6:i386, mutta sama lopputulos mistä ei kannata jatkaa. Pitikö tuon pääpalvelimen vaihdoksen vaikuttaa tuon koodin outputtiin jotenkin?

Olisi voinut vaikuttaa, jos ongelma olisi johtunut peilipalvelimen puutteellisesta synkronoitumisesta. Kokeilu vahvisti, ettei siitä ole kyse.

Taitaa kuulostaa jo siltä, että Ubuntun uudelleenasennus tulisi seuraavaksi kyseeseen. Tai sitten vaan lataan Playonlinuxin noilta ylemmässä viestissä ehdotetuilta Ubuntun omilta sivuilta, ja toivon etten törmää ongelmaan enää ???

Niin miten asensit PlayOnLinuxin? Ubuntun ohjelmalähteistä apt:llä, vai oletko ladannut ja asentanut deb-paketin, vai oletko ottanut PlayOnLinuxin ohjelmalähteen käyttöön?

Joka tapauksessa tämä i386-arkkitehtuurin ongelma on ratkaistava, jotta Wine ja PlayOnLinux voisivat toimia. Vika johtuu jostain pakettien tai ohjelmalähteiden ristiriidasta, mutta apt:n viesteistä ei nyt oikein ole apua juurisyyn paikantamisessa.

Ennen uudelleenasennusta voisi vielä tutkia, mitä kolmannen osapuolen ohjelmalähteitä järjestelmään on otettu käyttöön Winen lähteiden lisäksi. Selviää listaamalla /etc/apt/sources.list.d -hakemiston tiedostot:

Koodia: [Valitse]
ls /etc/apt/sources.list.d
Lähteet näkyvät myös Software & Updates -työkalun Other Software -välilehdellä, jossa ne voi kytkeä pois käytöstä. Sillä tavalla pääsee hieman lähemmäs uuden puhtaan asennuksen tilannetta, joskin järjestelmään jää lähteistä asennettuja paketteja, jotka voivat osaltaan sotkea riippuvuusketjuja.

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
Niin miten asensit PlayOnLinuxin? Ubuntun ohjelmalähteistä apt:llä, vai oletko ladannut ja asentanut deb-paketin, vai oletko ottanut PlayOnLinuxin ohjelmalähteen käyttöön?
En löydä/muista tarkkaan sivua mistä Playonlinuxin asennusohjeet alunperin katsoin, mutta olen lähes 100 varma että asensin sen apt:llä, eli tyyliin sudo apt install playonlinux. On mahdollista että joukossa oli muitakin komentoja.

Joka tapauksessa tämä i386-arkkitehtuurin ongelma on ratkaistava, jotta Wine ja PlayOnLinux voisivat toimia. Vika johtuu jostain pakettien tai ohjelmalähteiden ristiriidasta, mutta apt:n viesteistä ei nyt oikein ole apua juurisyyn paikantamisessa.
En tiedä onko tästä apua, mutta koitin asentaa wine 64bitin, joka asentui ihan ongelmitta, komennolla sudo apt install wine64. Mutta Playonlinux taitaa muistaakseni edellyttää sitä 32bittistä - POL_winestakin herjasi edelleen. Oma Ubuntuni on kuitenkin 64bittinen.

Tässä vielä terminaalilokia tuosta Playonlinuxin errorista:
Koodia: [Valitse]
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ playonlinux
Looking for python... 3.8.10 - skipped
Looking for python2.7... 2.7.18 - wxversion(s): 3.0-gtk3
selected
1
[main] Message: PlayOnLinux (4.3.4) is starting
[clean_tmp] Message: Cleaning temp directory
[Check_OpenGL] Warning: check_dd_x86 missing, test skipped
[Check_OpenGL] Warning: check_dd_amd64 missing, test skipped
[POL_System_CheckFS] Message: Checking filesystem for /home/lauri/.PlayOnLinux/
[main] Message: Filesystem is compatible
[install_plugins] Message: Checking plugin: ScreenCap...
[install_plugins] Message: Checking plugin: PlayOnLinux Vault...
[update_check] Message: List is up to date
[POL_SetupWindow_Init] Message: Creating new window for pid 15595
[POL_SetupWindow_Close] Message: Closing window for pid 15595
[POL_GPG_auth_script] Message: Checking signature of /home/lauri/.PlayOnLinux//install
[POL_GPG_install_key] Message: Importing PlayOnLinux public key
[POL_Bash] Message: POL GPG : Good signature - Age Of Empires III
[POL_SetupWindow_Init] Message: Creating new window for pid 15717
[POL_Wine_SelectPrefix] Message: Selecting prefix: AgeOfEmpireIII
[POL_System_SetArch] Message: POL_ARCH set to x86
[POL_Wine_PrefixCreate] Message: Setting POL_WINEVERSION to 4.0
[POL_Wine_PrefixCreate] Message: Creating prefix (4.0)...
[POL_Wine_PrefixCreate] Message: Prefix already exists
[POL_SetupWindow_menu] Message: menu answer: Overwrite (usually works, no guarantee)
[POL_Wine_PrefixCreate] Message: Overwrite Prefix
[POL_Wine_PrefixCreate] Message: Setting version to 4.0
[POL_Config_PrefixWrite] Message: Prefix config write: VERSION 4.0
/home/lauri/.PlayOnLinux//wine/linux-x86/4.0/bin//wineserver
/usr/share/playonlinux/lib/wine.lib: line 1014: /home/lauri/.PlayOnLinux//wine/linux-x86/4.0/bin/wineserver: No such file or directory
[POL_LoadVar_PROGRAMFILES] Message: Getting Program Files name
[POL_Wine] Message: Running wine-4.0 cmd /c echo %ProgramFiles% (Working directory : /usr/share/playonlinux/python)
[POL_Wine] Message: Notice: PlayOnLinux deliberately disables winemenubuilder. See http://www.playonlinux.com/fr/page-26-Winemenubuilder.html
/usr/share/playonlinux/lib/wine.lib: line 564: /home/lauri/.PlayOnLinux//wine/linux-x86/4.0/bin/wine: No such file or directory
[POL_Wine] Error: Wine seems to have crashed

If your program is running, just ignore this message
[POL_Wine] Message: Wine return: 127
[POL_LoadVar_PROGRAMFILES] Message: Getting Program Files name
[POL_Wine] Message: Running wine-4.0 cmd /c echo %ProgramFiles% (Working directory : /usr/share/playonlinux/python)
[POL_Wine] Message: Notice: PlayOnLinux deliberately disables winemenubuilder. See http://www.playonlinux.com/fr/page-26-Winemenubuilder.html
/usr/share/playonlinux/lib/wine.lib: line 564: /home/lauri/.PlayOnLinux//wine/linux-x86/4.0/bin/wine: No such file or directory
[POL_Wine] Error: Wine seems to have crashed

If your program is running, just ignore this message
/usr/share/playonlinux/lib/playonlinux.lib: line 335: 15717 Killed                  bash "$@"
Registered PID: 15114 (Missing)
Registered PID: 15148 (Missing)
Registered PID: 15595 (Present)
Registered PID: 15717 (Missing)
lauri@lauri-Lenovo-Yoga-C740-14IML:~$


Ennen uudelleenasennusta voisi vielä tutkia, mitä kolmannen osapuolen ohjelmalähteitä järjestelmään on otettu käyttöön Winen lähteiden lisäksi. Selviää listaamalla /etc/apt/sources.list.d -hakemiston tiedostot:

Koodia: [Valitse]
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ ls /etc/apt/sources.list.d
apandada1-ubuntu-brightness-controller-focal.list
apandada1-ubuntu-brightness-controller-focal.list.save
deadsnakes-ubuntu-ppa-focal.list
deadsnakes-ubuntu-ppa-focal.list.save
docker.list
docker.list.save
google-chrome.list
google-chrome.list.save
mysql.list
mysql.list.save
nilarimogard-ubuntu-webupd8-focal.list
nilarimogard-ubuntu-webupd8-focal.list.save
teams.list
teams.list.save
vscode.list
vscode.list.save

Lähteet näkyvät myös Software & Updates -työkalun Other Software -välilehdellä, jossa ne voi kytkeä pois käytöstä. Sillä tavalla pääsee hieman lähemmäs uuden puhtaan asennuksen tilannetta, joskin järjestelmään jää lähteistä asennettuja paketteja, jotka voivat osaltaan sotkea riippuvuusketjuja.
Kannattaisikohan ottaa eka kuvakaappaukset koko listasta, jotta osaan palauttaa ruksit... Mutta ilmeisesti tämän jälkeen koittaisin vielä uudestaan tota sudo apt install libc6:i386 -komentoa. Ehkä uudelleenkäynnistys välissä parantaisi onnistumistodennäköisyyttä.
« Viimeksi muokattu: 29.09.21 - klo:21.47 kirjoittanut Louderi »

nm

  • Käyttäjä
  • Viestejä: 14645
    • Profiili
Koodia: [Valitse]
lauri@lauri-Lenovo-Yoga-C740-14IML:~$ ls /etc/apt/sources.list.d
apandada1-ubuntu-brightness-controller-focal.list
apandada1-ubuntu-brightness-controller-focal.list.save
deadsnakes-ubuntu-ppa-focal.list
deadsnakes-ubuntu-ppa-focal.list.save
docker.list
docker.list.save
google-chrome.list
google-chrome.list.save
mysql.list
mysql.list.save
nilarimogard-ubuntu-webupd8-focal.list
nilarimogard-ubuntu-webupd8-focal.list.save
teams.list
teams.list.save
vscode.list
vscode.list.save

Tuossa ei näy erityisen epäilyttäviä lähteitä, mutta on kuitenkin mahdollista, että jonkin niistä aiheuttaa ristiriitoja riippuvuuksissa.

Kannattaisikohan ottaa eka kuvakaappaukset koko listasta, jotta osaan palauttaa ruksit... Mutta ilmeisesti tämän jälkeen koittaisin vielä uudestaan tota sudo apt install libc6:i386 -komentoa. Ehkä uudelleenkäynnistys välissä parantaisi onnistumistodennäköisyyttä.

Juu. Uudelleenkäynnistys ei ole tarpeen, mutta ei siitä haittaakaan ole.
« Viimeksi muokattu: 30.09.21 - klo:01.03 kirjoittanut nm »

Louderi

  • Käyttäjä
  • Viestejä: 16
    • Profiili
Eli menin Software-salkkuun kohtaan Other Software ja poistin kaikki ruksit. Kirjoitin sitten sudo apt install libc6:i386 uudemman kerran, mutta täysin sama outputti. Käynnistin läppärin uudestaan ja kokeilin uudestaan. Sama outputti jälleen.

Ei taida jäädä muita vaihtoehtoja kuin Ubuntun uudelleenasennus jos haluaa pelata Windows-pelejä Ubuntulla. Se jääköön jonnekin lähitulevaisuuteen. Voin ilmotella tänne jos lähtee toimimaan.

Kiitos hyvistä neuvoista. Parempi onni ens kerralla.